Bug 182002 - x11-wm/xcompmgr shadow rendering patch
Summary: x11-wm/xcompmgr shadow rendering patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-11 00:40 UTC by Brandon Gooch
Modified: 2018-05-23 18:39 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brandon Gooch 2013-09-11 00:40:00 UTC
The xcompmgr port has a bug which prevents shadows from being rendered.

I have submitted a patch upstream, but it hasn't been rolled into a release:

  https://bugs.freedesktop.org/show_bug.cgi?id=46285

Would it be possible to have this patch available in the xcompmgr port so that we FreeBSD folks can benefit from it?

Thanks!

Fix: 

Apply the patch here:

  https://bugs.freedesktop.org/show_bug.cgi?id=46285

Shade yourself in the cool shadows of your xterms...
How-To-Repeat: Install xcompmgr. Attempt a configuration that displays a drop-shadow effect around windows, e.g.:

xcompmgr -CcfF -I 0.015 -O 0.03 -D 2 -t -6 -l -9 -r 9 -o.67

Notice that there are no shadows to be seen :(
Comment 1 Edwin Groothuis freebsd_committer 2013-09-11 00:58:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Carlo Strub freebsd_committer 2014-09-14 10:45:35 UTC
Is this PR still relevant?
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-10 20:28:56 UTC
If am try it right, it still not works.
But no statement since 2013-09-11 and no maintainer feedback!
Comment 4 commit-hook freebsd_committer 2018-05-20 13:47:41 UTC
A commit references this bug:

Author: zeising
Date: Sun May 20 13:47:08 UTC 2018
New revision: 470458
URL: https://svnweb.freebsd.org/changeset/ports/470458

Log:
  x11-wm/xcompmgr: Add patch to fix shadow rendering

  The patch has been laying in upstream bugzilla for quite some time, but is
  used on some linux distribution packages, such as debian packages.

  While here, add missing dependency on xext.

  PR:		182002
  Submitted by:	Brandon Gooch
  Obtained from:	https://bugs.freedesktop.org/show_bug.cgi?id=46285 (patch)
  MFH:		2018Q2

Changes:
  head/x11-wm/xcompmgr/Makefile
  head/x11-wm/xcompmgr/files/
  head/x11-wm/xcompmgr/files/patch-xcompmgr.c
Comment 5 Niclas Zeising freebsd_committer 2018-05-20 13:50:11 UTC
Fixed.
I added the patch from upstream bugzilla, it's still not added to their repo.
Apologies for letting this live for so long.
Comment 6 commit-hook freebsd_committer 2018-05-23 18:39:49 UTC
A commit references this bug:

Author: zeising
Date: Wed May 23 18:39:12 UTC 2018
New revision: 470714
URL: https://svnweb.freebsd.org/changeset/ports/470714

Log:
  MFH: r470458

  x11-wm/xcompmgr: Add patch to fix shadow rendering

  The patch has been laying in upstream bugzilla for quite some time, but is
  used on some linux distribution packages, such as debian packages.

  While here, add missing dependency on xext.

  PR:		182002
  Submitted by:	Brandon Gooch
  Obtained from:	https://bugs.freedesktop.org/show_bug.cgi?id=46285 (patch)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/x11-wm/xcompmgr/Makefile
  branches/2018Q2/x11-wm/xcompmgr/files/